
.namespace s17_HotSpot

function OnActivate()
	
	OPLog.Log("onactivate "..self.Name)
	
	if self.Name == "coffre" and (SampleLevel.IsEqual("s17_search_3","finished") and SampleLevel.IsEqual("s17_search_1","finished") and SampleLevel.IsEqual("s16_search_4","finished") and SampleLevel.IsEqual("s16_search_1","finished"))then 
	NavigationManager.SwitchTo(nil,"s17_c01")
	elseif self.Name == "coffre" then
	SequencePlayer.Enabled = true
	SequencePlayer.PlaySequence("GP_1702",nil,nil)
	end	
	
	if self.Name == "back_s17" then
		NavigationManager.SwitchTo(nil,"s16_SearchSite")	
	end
		
end
function GetSpecificCursor()

	if	self.Name == "back_s17" then
		return 11,"s16"		
		elseif self.Name == "drapeau_hotspot"  then
		return 1
	else
		return CURSOR_AREA_HOTSPOT
	end
end


